<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\EmailAccount\Modals;

use ThurData\Servers\KerioEmail\App\UI\Client\EmailAccount\Forms\DeleteAccountForm;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Modals\BaseModal;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 18.09.19
 * Time: 11:28
 * Class DeleteAccountModal
 */
class DeleteAccountModal extends BaseModal implements ClientArea
{

    protected $id    = 'deleteAccountModal';
    protected $name  = 'deleteAccountModal';
    protected $title = 'deleteAccountModal';

    public function initContent()
    {
        $this->setSubmitButtonClassesDanger();
        $this->setModalTitleTypeDanger();

        $this->addForm(new DeleteAccountForm());
    }

}